## gtk-2.24.33.tar.xz

=== examples/colorsel/Makefile ===

CC = gcc

CFLAGS = -Wall			 	\
	-DG_DISABLE_DEPRECATED 	 	\
	-DGDK_DISABLE_DEPRECATED 	\
	-DGDK_PIXBUF_DISABLE_DEPRECATED \
	-DGTK_DISABLE_DEPRECATED

colorsel: colorsel.c 
	$(CC) colorsel.c -o colorsel `pkg-config gtk+-2.0 --cflags --libs`

clean: 
	rm -f *.o colorsel
